| Home | Libraries | People | FAQ | More

## Struct template type_to_string<icl::interval_set< DomainT, Compare, Interval, Alloc >>

boost::icl::type_to_string<icl::interval_set< DomainT, Compare, Interval, Alloc >>

## Synopsis

    // In header: <boost/icl/interval_set.hpp>

    template<typename DomainT, ICL_COMPARE Compare,
             ICL_INTERVAL(ICL_COMPARE) Interval, ICL_ALLOC Alloc>
    struct type_to_string<icl::interval_set< DomainT, Compare, Interval, Alloc >> {

      // public static functions
      static std::string apply();
    };

## Description

### `type_to_string` public static functions

1.     static std::string apply();